require 'active_support'
require 'active_support/core_ext/object'
require 'pvdgm-svc-client/service_mgr_options'
require 'pvdgm-svc-client/base_resource'

# Load all the prompters
Dir.glob(File.join(File.dirname(__FILE__), 'pvdgm-svc-client/prompters/*.rb')).each do | prompter_path |
  require File.join('pvdgm-svc-client/prompters', File.basename(prompter_path))
end

# Load all the resources
Dir.glob(File.join(File.dirname(__FILE__), 'pvdgm-svc-client/resources/*.rb')).each do | resource_path |
  require File.join('pvdgm-svc-client/resources', File.basename(resource_path))
end


