# -*- encoding: utf-8 -*-
# stub: pvdgm-svc-client 0.3.4 ruby lib

Gem::Specification.new do |s|
  s.name = "pvdgm-svc-client".freeze
  s.version = "0.3.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Dave Sieh".freeze]
  s.date = "2019-03-20"
  s.description = "This gem provides command line and other types of tools to support the Service Engine.".freeze
  s.email = "dave.sieh@providigm.com".freeze
  s.executables = ["service_mgr".freeze, "service_mgr_completion".freeze, "valid_commands".freeze, "valid_resources".freeze]
  s.extra_rdoc_files = ["LICENSE.txt".freeze, "README.rdoc".freeze]
  s.files = ["LICENSE.txt".freeze, "README.rdoc".freeze, "bin/service_mgr".freeze, "bin/service_mgr_completion".freeze, "bin/valid_commands".freeze, "bin/valid_resources".freeze]
  s.homepage = "http://github.com/GitHubAdmin/pvdgm-svc-client".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Command-line client tools to support the Service Engine".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<activesupport>.freeze, [">= 4.2.7"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["~> 2.0"])
    s.add_runtime_dependency(%q<terminal-table>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<highline>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 3.5"])
    s.add_development_dependency(%q<rdoc>.freeze, [">= 0"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<jeweler>.freeze, [">= 0"])
    s.add_development_dependency(%q<pry>.freeze, [">= 0"])
  else
    s.add_dependency(%q<activesupport>.freeze, [">= 4.2.7"])
    s.add_dependency(%q<rest-client>.freeze, ["~> 2.0"])
    s.add_dependency(%q<terminal-table>.freeze, [">= 0"])
    s.add_dependency(%q<highline>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 3.5"])
    s.add_dependency(%q<rdoc>.freeze, [">= 0"])
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<jeweler>.freeze, [">= 0"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
  end
end
